Subject: Re: [PATCH net-next v3 2/2] selftests/net: add ICMP unreachable over IPsec tunnel

From: Jakub Kicinski <[email-masked]>
Date: Mon, 6 May 2024 16:59:32 -0700

On Mon, 6 May 2024 17:37:54 +0200 Antony Antony wrote:
> This appears to be an error from the v2 run, which was sent yesterday.
> The v3 patch should have superseded it.
> 
> The branch net-dev-testing/net-next-2024-05-06--12-00 contains the v2 patch.
> I wonder if net-dev testing recognized v3 patch.

You're right! I guess the pw-bot didn't discard v2 because of 
the capitalization change in the subject of the cover letter.

> git diff net-next-2024-05-06--12-00 net-next-2024-05-06--03-00 ./tools/testing/selftests/net/xfrm_state.sh
> is missing the expected one line diff in  IFS.
> 
> > # ./xfrm_state.sh: line 91: test_: command not found
> > # TEST: unreachable_gw_ipv6IPv6 unreachable from IPsec gateway s2 [ FAIL ]
> > # ./xfrm_state.sh: line 91: test_: command not found
> > # TEST: mtu_ipv6_r2IPv6 MTU exceeded from ESP router r2          [ FAIL ]
> > # ./xfrm_state.sh: line 91: test_: command not found
> > # TEST: mtu_ipv6_r3IPv6 MTU exceeded router r3                   [ FAIL ]
> > not ok 1 selftests: net: xfrm_state.sh # exit=1  
> 
> I suspect there is another another issue with 
> tools/testing/selftests/net/config . It does not appear to support nftables 
> match for ESP. Which this script assumes.
> 
> # ip netns exec ns_r2-39oUmE nft add rule inet filter FORWARD counter ip protocol esp counter log accept
> #
> # Error: Could not process rule: No such file or directory
> # add rule inet filter FORWARD counter ip protocol esp counter log accept
> #               ^^^^^^
> 
> I learning vng also. I will send v4 with change to config, then I hope the 
> test runner will pick up the latest patch.

👍️